diff --git a/.ci/scripts/test_export_data_command.sh b/.ci/scripts/test_export_data_command.sh
index 75f5811d10..ab96387a0a 100755
--- a/.ci/scripts/test_export_data_command.sh
+++ b/.ci/scripts/test_export_data_command.sh
@@ -3,7 +3,7 @@
# Test for the export-data admin command against sqlite and postgres
set -xe
-cd `dirname $0`/../..
+cd "$(dirname "$0")/../.."
echo "--- Install dependencies"
diff --git a/.ci/scripts/test_synapse_port_db.sh b/.ci/scripts/test_synapse_port_db.sh
index 50115b3079..797904e64c 100755
--- a/.ci/scripts/test_synapse_port_db.sh
+++ b/.ci/scripts/test_synapse_port_db.sh
@@ -7,7 +7,7 @@
set -xe
-cd `dirname $0`/../..
+cd "$(dirname "$0")/../.."
echo "--- Install dependencies"
diff --git a/changelog.d/11166.misc b/changelog.d/11166.misc
new file mode 100644
index 0000000000..79342e43d9
--- /dev/null
+++ b/changelog.d/11166.misc
@@ -0,0 +1 @@
+Update scripts to pass Shellcheck lints.
diff --git a/contrib/purge_api/purge_history.sh b/contrib/purge_api/purge_history.sh
index 9d5324ea1c..de58dcdbb7 100644
--- a/contrib/purge_api/purge_history.sh
+++ b/contrib/purge_api/purge_history.sh
@@ -84,7 +84,9 @@ AUTH="Authorization: Bearer $TOKEN"
###################################################################################################
# finally start pruning the room:
###################################################################################################
-POSTDATA='{"delete_local_events":"true"}' # this will really delete local events, so the messages in the room really disappear unless they are restored by remote federation
+# this will really delete local events, so the messages in the room really
+# disappear unless they are restored by remote federation. This is because
+# we pass {"delete_local_events":true} to the curl invocation below.
for ROOM in "${ROOMS_ARRAY[@]}"; do
echo "########################################### $(date) ################# "
@@ -104,7 +106,7 @@ for ROOM in "${ROOMS_ARRAY[@]}"; do
SLEEP=2
set -x
# call purge
- OUT=$(curl --header "$AUTH" -s -d $POSTDATA POST "$API_URL/admin/purge_history/$ROOM/$EVENT_ID")
+ OUT=$(curl --header "$AUTH" -s -d '{"delete_local_events":true}' POST "$API_URL/admin/purge_history/$ROOM/$EVENT_ID")
PURGE_ID=$(echo "$OUT" |grep purge_id|cut -d'"' -f4 )
if [ "$PURGE_ID" == "" ]; then
# probably the history purge is already in progress for $ROOM
diff --git a/debian/build_virtualenv b/debian/build_virtualenv
index 801ecb9086..3097371d59 100755
--- a/debian/build_virtualenv
+++ b/debian/build_virtualenv
@@ -15,7 +15,7 @@ export DH_VIRTUALENV_INSTALL_ROOT=/opt/venvs
# python won't look in the right directory. At least this way, the error will
# be a *bit* more obvious.
#
-SNAKE=`readlink -e /usr/bin/python3`
+SNAKE=$(readlink -e /usr/bin/python3)
# try to set the CFLAGS so any compiled C extensions are compiled with the most
# generic as possible x64 instructions, so that compiling it on a new Intel chip
@@ -24,7 +24,7 @@ SNAKE=`readlink -e /usr/bin/python3`
# TODO: add similar things for non-amd64, or figure out a more generic way to
# do this.
-case `dpkg-architecture -q DEB_HOST_ARCH` in
+case $(dpkg-architecture -q DEB_HOST_ARCH) in
amd64)
export CFLAGS=-march=x86-64
;;
@@ -56,8 +56,8 @@ case "$DEB_BUILD_OPTIONS" in
*)
# Copy tests to a temporary directory so that we can put them on the
# PYTHONPATH without putting the uninstalled synapse on the pythonpath.
- tmpdir=`mktemp -d`
- trap "rm -r $tmpdir" EXIT
+ tmpdir=$(mktemp -d)
+ trap 'rm -r $tmpdir' EXIT
cp -r tests "$tmpdir"
@@ -98,7 +98,7 @@ esac
--output-file="${PACKAGE_BUILD_DIR}/etc/matrix-synapse/log.yaml"
# add a dependency on the right version of python to substvars.
-PYPKG=`basename $SNAKE`
+PYPKG=$(basename "$SNAKE")
echo "synapse:pydepends=$PYPKG" >> debian/matrix-synapse-py3.substvars
diff --git a/debian/changelog b/debian/changelog
index ea96676f74..24842192b8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+matrix-synapse-py3 (1.47.0+nmu1) UNRELEASED; urgency=medium
+
+ * Update scripts to pass Shellcheck lints.
+
+ -- root <root@cae79a6e79d7> Fri, 22 Oct 2021 22:20:31 +0000
+
matrix-synapse-py3 (1.46.0~rc1) stable; urgency=medium
* New synapse release 1.46.0~rc1.
diff --git a/debian/matrix-synapse-py3.config b/debian/matrix-synapse-py3.config
index 37a781b3e8..3b2f469e15 100755
--- a/debian/matrix-synapse-py3.config
+++ b/debian/matrix-synapse-py3.config
@@ -2,6 +2,7 @@
set -e
+# shellcheck disable=SC1091
. /usr/share/debconf/confmodule
# try to update the debconf db according to whatever is in the config files
diff --git a/debian/matrix-synapse-py3.postinst b/debian/matrix-synapse-py3.postinst
index c0dd7e5534..a8dde1e082 100644
--- a/debian/matrix-synapse-py3.postinst
+++ b/debian/matrix-synapse-py3.postinst
@@ -1,5 +1,6 @@
#!/bin/sh -e
+# shellcheck disable=SC1091
. /usr/share/debconf/confmodule
CONFIGFILE_SERVERNAME="/etc/matrix-synapse/conf.d/server_name.yaml"
diff --git a/debian/test/provision.sh b/debian/test/provision.sh
index a5c7f59712..55d7b8e03a 100644
--- a/debian/test/provision.sh
+++ b/debian/test/provision.sh
@@ -10,7 +10,7 @@ set -e
apt-get update
apt-get install -y lsb-release
-deb=`ls /debs/matrix-synapse-py3_*+$(lsb_release -cs)*.deb | sort | tail -n1`
+deb=$(find /debs -name "matrix-synapse-py3_*+$(lsb_release -cs)*.deb" | sort | tail -n1)
debconf-set-selections <<EOF
matrix-synapse matrix-synapse/report-stats boolean false
@@ -19,5 +19,6 @@ EOF
dpkg -i "$deb"
-sed -i -e '/port: 8...$/{s/8448/18448/; s/8008/18008/}' -e '$aregistration_shared_secret: secret' /etc/matrix-synapse/homeserver.yaml
+sed -i -e 's/port: 8448$/port: 18448/; s/port: 8008$/port: 18008' /etc/matrix-synapse/homeserver.yaml
+echo 'registration_shared_secret: secret' >> /etc/matrix-synapse/homeserver.yaml
systemctl restart matrix-synapse
diff --git a/demo/clean.sh b/demo/clean.sh
index 6b809f6e83..e9b440d90d 100755
--- a/demo/clean.sh
+++ b/demo/clean.sh
@@ -6,14 +6,14 @@ DIR="$( cd "$( dirname "$0" )" && pwd )"
PID_FILE="$DIR/servers.pid"
-if [ -f $PID_FILE ]; then
+if [ -f "$PID_FILE" ]; then
echo "servers.pid exists!"
exit 1
fi
for port in 8080 8081 8082; do
- rm -rf $DIR/$port
- rm -rf $DIR/media_store.$port
+ rm -rf "${DIR:?}/$port"
+ rm -rf "$DIR/media_store.$port"
done
-rm -rf $DIR/etc
+rm -rf "${DIR:?}/etc"
diff --git a/demo/start.sh b/demo/start.sh
index bc4854091b..8ffb14e30a 100755
--- a/demo/start.sh
+++ b/demo/start.sh
@@ -4,21 +4,22 @@ DIR="$( cd "$( dirname "$0" )" && pwd )"
CWD=$(pwd)
-cd "$DIR/.."
+cd "$DIR/.." || exit
mkdir -p demo/etc
-export PYTHONPATH=$(readlink -f $(pwd))
+PYTHONPATH=$(readlink -f "$(pwd)")
+export PYTHONPATH
-echo $PYTHONPATH
+echo "$PYTHONPATH"
for port in 8080 8081 8082; do
echo "Starting server on port $port... "
https_port=$((port + 400))
mkdir -p demo/$port
- pushd demo/$port
+ pushd demo/$port || exit
#rm $DIR/etc/$port.config
python3 -m synapse.app.homeserver \
@@ -27,75 +28,78 @@ for port in 8080 8081 8082; do
--config-path "$DIR/etc/$port.config" \
--report-stats no
- if ! grep -F "Customisation made by demo/start.sh" -q $DIR/etc/$port.config; then
- printf '\n\n# Customisation made by demo/start.sh\n' >> $DIR/etc/$port.config
-
- echo "public_baseurl: http://localhost:$port/" >> $DIR/etc/$port.config
-
- echo 'enable_registration: true' >> $DIR/etc/$port.config
-
- # Warning, this heredoc depends on the interaction of tabs and spaces. Please don't
- # accidentaly bork me with your fancy settings.
- listeners=$(cat <<-PORTLISTENERS
- # Configure server to listen on both $https_port and $port
- # This overides some of the default settings above
- listeners:
- - port: $https_port
- type: http
- tls: true
- resources:
- - names: [client, federation]
-
- - port: $port
- tls: false
- bind_addresses: ['::1', '127.0.0.1']
- type: http
- x_forwarded: true
- resources:
- - names: [client, federation]
- compress: false
- PORTLISTENERS
- )
- echo "${listeners}" >> $DIR/etc/$port.config
-
- # Disable tls for the servers
- printf '\n\n# Disable tls on the servers.' >> $DIR/etc/$port.config
- echo '# DO NOT USE IN PRODUCTION' >> $DIR/etc/$port.config
- echo 'use_insecure_ssl_client_just_for_testing_do_not_use: true' >> $DIR/etc/$port.config
- echo 'federation_verify_certificates: false' >> $DIR/etc/$port.config
-
- # Set tls paths
- echo "tls_certificate_path: \"$DIR/etc/localhost:$https_port.tls.crt\"" >> $DIR/etc/$port.config
- echo "tls_private_key_path: \"$DIR/etc/localhost:$https_port.tls.key\"" >> $DIR/etc/$port.config
-
+ if ! grep -F "Customisation made by demo/start.sh" -q "$DIR/etc/$port.config"; then
# Generate tls keys
- openssl req -x509 -newkey rsa:4096 -keyout $DIR/etc/localhost\:$https_port.tls.key -out $DIR/etc/localhost\:$https_port.tls.crt -days 365 -nodes -subj "/O=matrix"
-
- # Ignore keys from the trusted keys server
- echo '# Ignore keys from the trusted keys server' >> $DIR/etc/$port.config
- echo 'trusted_key_servers:' >> $DIR/etc/$port.config
- echo ' - server_name: "matrix.org"' >> $DIR/etc/$port.config
- echo ' accept_keys_insecurely: true' >> $DIR/etc/$port.config
-
- # Reduce the blacklist
- blacklist=$(cat <<-BLACK
- # Set the blacklist so that it doesn't include 127.0.0.1, ::1
- federation_ip_range_blacklist:
- - '10.0.0.0/8'
- - '172.16.0.0/12'
- - '192.168.0.0/16'
- - '100.64.0.0/10'
- - '169.254.0.0/16'
- - 'fe80::/64'
- - 'fc00::/7'
- BLACK
- )
- echo "${blacklist}" >> $DIR/etc/$port.config
+ openssl req -x509 -newkey rsa:4096 -keyout "$DIR/etc/localhost:$https_port.tls.key" -out "$DIR/etc/localhost:$https_port.tls.crt" -days 365 -nodes -subj "/O=matrix"
+
+ # Regenerate configuration
+ {
+ printf '\n\n# Customisation made by demo/start.sh\n'
+ echo "public_baseurl: http://localhost:$port/"
+ echo 'enable_registration: true'
+
+ # Warning, this heredoc depends on the interaction of tabs and spaces.
+ # Please don't accidentaly bork me with your fancy settings.
+ listeners=$(cat <<-PORTLISTENERS
+ # Configure server to listen on both $https_port and $port
+ # This overides some of the default settings above
+ listeners:
+ - port: $https_port
+ type: http
+ tls: true
+ resources:
+ - names: [client, federation]
+
+ - port: $port
+ tls: false
+ bind_addresses: ['::1', '127.0.0.1']
+ type: http
+ x_forwarded: true
+ resources:
+ - names: [client, federation]
+ compress: false
+ PORTLISTENERS
+ )
+
+ echo "${listeners}"
+
+ # Disable tls for the servers
+ printf '\n\n# Disable tls on the servers.'
+ echo '# DO NOT USE IN PRODUCTION'
+ echo 'use_insecure_ssl_client_just_for_testing_do_not_use: true'
+ echo 'federation_verify_certificates: false'
+
+ # Set tls paths
+ echo "tls_certificate_path: \"$DIR/etc/localhost:$https_port.tls.crt\""
+ echo "tls_private_key_path: \"$DIR/etc/localhost:$https_port.tls.key\""
+
+ # Ignore keys from the trusted keys server
+ echo '# Ignore keys from the trusted keys server'
+ echo 'trusted_key_servers:'
+ echo ' - server_name: "matrix.org"'
+ echo ' accept_keys_insecurely: true'
+
+ # Reduce the blacklist
+ blacklist=$(cat <<-BLACK
+ # Set the blacklist so that it doesn't include 127.0.0.1, ::1
+ federation_ip_range_blacklist:
+ - '10.0.0.0/8'
+ - '172.16.0.0/12'
+ - '192.168.0.0/16'
+ - '100.64.0.0/10'
+ - '169.254.0.0/16'
+ - 'fe80::/64'
+ - 'fc00::/7'
+ BLACK
+ )
+
+ echo "${blacklist}"
+ } >> "$DIR/etc/$port.config"
fi
# Check script parameters
if [ $# -eq 1 ]; then
- if [ $1 = "--no-rate-limit" ]; then
+ if [ "$1" = "--no-rate-limit" ]; then
# Disable any rate limiting
ratelimiting=$(cat <<-RC
@@ -137,22 +141,22 @@ for port in 8080 8081 8082; do
burst_count: 1000
RC
)
- echo "${ratelimiting}" >> $DIR/etc/$port.config
+ echo "${ratelimiting}" >> "$DIR/etc/$port.config"
fi
fi
- if ! grep -F "full_twisted_stacktraces" -q $DIR/etc/$port.config; then
- echo "full_twisted_stacktraces: true" >> $DIR/etc/$port.config
+ if ! grep -F "full_twisted_stacktraces" -q "$DIR/etc/$port.config"; then
+ echo "full_twisted_stacktraces: true" >> "$DIR/etc/$port.config"
fi
- if ! grep -F "report_stats" -q $DIR/etc/$port.config ; then
- echo "report_stats: false" >> $DIR/etc/$port.config
+ if ! grep -F "report_stats" -q "$DIR/etc/$port.config" ; then
+ echo "report_stats: false" >> "$DIR/etc/$port.config"
fi
python3 -m synapse.app.homeserver \
--config-path "$DIR/etc/$port.config" \
-D \
- popd
+ popd || exit
done
-cd "$CWD"
+cd "$CWD" || exit
diff --git a/demo/stop.sh b/demo/stop.sh
index f9dddc5914..c97e4b8d00 100755
--- a/demo/stop.sh
+++ b/demo/stop.sh
@@ -8,7 +8,7 @@ for pid_file in $FILES; do
pid=$(cat "$pid_file")
if [[ $pid ]]; then
echo "Killing $pid_file with $pid"
- kill $pid
+ kill "$pid"
fi
done
diff --git a/docker/build_debian.sh b/docker/build_debian.sh
index 801ff45471..9eae38af91 100644
--- a/docker/build_debian.sh
+++ b/docker/build_debian.sh
@@ -5,7 +5,7 @@
set -ex
# Get the codename from distro env
-DIST=`cut -d ':' -f2 <<< $distro`
+DIST=$(cut -d ':' -f2 <<< "${distro:?}")
# we get a read-only copy of the source: make a writeable copy
cp -aT /synapse/source /synapse/build
@@ -17,7 +17,7 @@ cd /synapse/build
# Section to determine which "component" it should go into (see
# https://manpages.debian.org/stretch/reprepro/reprepro.1.en.html#GUESSING)
-DEB_VERSION=`dpkg-parsechangelog -SVersion`
+DEB_VERSION=$(dpkg-parsechangelog -SVersion)
case $DEB_VERSION in
*~rc*|*~a*|*~b*|*~c*)
sed -ie '/^Section:/c\Section: prerelease' debian/control
diff --git a/scripts-dev/check-newsfragment b/scripts-dev/check-newsfragment
index 393a548d58..af4de345df 100755
--- a/scripts-dev/check-newsfragment
+++ b/scripts-dev/check-newsfragment
@@ -42,10 +42,10 @@ echo "--------------------------"
echo
matched=0
-for f in `git diff --name-only FETCH_HEAD... -- changelog.d`; do
+for f in $(git diff --name-only FETCH_HEAD... -- changelog.d); do
# check that any modified newsfiles on this branch end with a full stop.
- lastchar=`tr -d '\n' < $f | tail -c 1`
- if [ $lastchar != '.' -a $lastchar != '!' ]; then
+ lastchar=$(tr -d '\n' < "$f" | tail -c 1)
+ if [ "$lastchar" != '.' ] && [ "$lastchar" != '!' ]; then
echo -e "\e[31mERROR: newsfragment $f does not end with a '.' or '!'\e[39m" >&2
echo -e "$CONTRIBUTING_GUIDE_TEXT" >&2
exit 1
diff --git a/scripts-dev/check_line_terminators.sh b/scripts-dev/check_line_terminators.sh
index c983956231..fffa24e01e 100755
--- a/scripts-dev/check_line_terminators.sh
+++ b/scripts-dev/check_line_terminators.sh
@@ -25,7 +25,7 @@
# terminators are found, 0 otherwise.
# cd to the root of the repository
-cd `dirname $0`/..
+cd "$(dirname "$0")/.." || exit
# Find and print files with non-unix line terminators
if find . -path './.git/*' -prune -o -type f -print0 | xargs -0 grep -I -l $'\r$'; then
diff --git a/scripts-dev/complement.sh b/scripts-dev/complement.sh
index 89af7a4fde..7d38b39e90 100755
--- a/scripts-dev/complement.sh
+++ b/scripts-dev/complement.sh
@@ -24,7 +24,7 @@
set -e
# Change to the repository root
-cd "$(dirname $0)/.."
+cd "$(dirname "$0")/.."
# Check for a user-specified Complement checkout
if [[ -z "$COMPLEMENT_DIR" ]]; then
@@ -61,8 +61,8 @@ cd "$COMPLEMENT_DIR"
EXTRA_COMPLEMENT_ARGS=""
if [[ -n "$1" ]]; then
# A test name regex has been set, supply it to Complement
- EXTRA_COMPLEMENT_ARGS+="-run $1 "
+ EXTRA_COMPLEMENT_ARGS=(-run "$1")
fi
# Run the tests!
-go test -v -tags synapse_blacklist,msc2946,msc3083,msc2403,msc2716 -count=1 $EXTRA_COMPLEMENT_ARGS ./tests/...
+go test -v -tags synapse_blacklist,msc2946,msc3083,msc2403,msc2716 -count=1 "${EXTRA_COMPLEMENT_ARGS[@]}" ./tests/...
diff --git a/scripts-dev/config-lint.sh b/scripts-dev/config-lint.sh
index 8c6323e59a..6ce030b819 100755
--- a/scripts-dev/config-lint.sh
+++ b/scripts-dev/config-lint.sh
@@ -3,7 +3,7 @@
# Exits with 0 if there are no problems, or another code otherwise.
# cd to the root of the repository
-cd `dirname $0`/..
+cd "$(dirname "$0")/.." || exit
# Restore backup of sample config upon script exit
trap "mv docs/sample_config.yaml.bak docs/sample_config.yaml" EXIT
diff --git a/scripts-dev/docker_update_debian_changelog.sh b/scripts-dev/docker_update_debian_changelog.sh
index 89821bba72..729f8fc467 100755
--- a/scripts-dev/docker_update_debian_changelog.sh
+++ b/scripts-dev/docker_update_debian_changelog.sh
@@ -60,5 +60,5 @@ DEBIAN_FRONTEND=noninteractive apt-get install -y devscripts
# Update the Debian changelog.
ver=${1}
-dch -M -v $(sed -Ee 's/(rc|a|b|c)/~\1/' <<<$ver) "New synapse release $ver."
+dch -M -v "$(sed -Ee 's/(rc|a|b|c)/~\1/' <<<"$ver")" "New synapse release $ver."
dch -M -r -D stable ""
diff --git a/scripts-dev/generate_sample_config b/scripts-dev/generate_sample_config
index 02739894b5..4cd1d1d5b8 100755
--- a/scripts-dev/generate_sample_config
+++ b/scripts-dev/generate_sample_config
@@ -4,7 +4,7 @@
set -e
-cd `dirname $0`/..
+cd "$(dirname "$0")/.."
SAMPLE_CONFIG="docs/sample_config.yaml"
SAMPLE_LOG_CONFIG="docs/sample_log_config.yaml"
diff --git a/scripts-dev/next_github_number.sh b/scripts-dev/next_github_number.sh
index 00e9b14569..5ecd515127 100755
--- a/scripts-dev/next_github_number.sh
+++ b/scripts-dev/next_github_number.sh
@@ -4,6 +4,6 @@ set -e
# Fetch the current GitHub issue number, add one to it -- presto! The likely
# next PR number.
-CURRENT_NUMBER=`curl -s "https://api.github.com/repos/matrix-org/synapse/issues?state=all&per_page=1" | jq -r ".[0].number"`
+CURRENT_NUMBER=$(curl -s "https://api.github.com/repos/matrix-org/synapse/issues?state=all&per_page=1" | jq -r ".[0].number")
CURRENT_NUMBER=$((CURRENT_NUMBER+1))
echo $CURRENT_NUMBER
|